• /
  • Log in

New Relic for tvOS compatibility and requirements

Before you install and configure the tvOS agent, make sure your tvOS app meets these requirements.

tvOS requirements

Make sure your tvOS app meets these requirements:

Mobile monitoring

tvOS requirements

Operating system

tvOS 9 or higher

API/SDK

NSURLConnection, AFNetworking, and ASIHttpRequest networking APIs

Languages

Objective-C

Swift: Works with both network traces and crash reporting, but no interaction traces by default. To enable this, see Enabling interaction tracing in Swift.

Devices

Any tvOS compatible device (Apple TV 4th generation or higher)

File sizes

The tvOS agent adds about 270K to your tvOS release app.

Architectures

ARM 64-bit

For more help

If you need more help, check out these support and learning resources:

Create issueEdit page
Copyright © 2021 New Relic Inc.